using System;
using System.IO;
using NUnit.Framework;

namespace Smdn.Formats.Thbgm {
  [TestFixture]
  public class TrackInfoTests {
    [Test]
    public void TestToString()
    {
      var track = ProductInfo.Th08.Tracks[0];

      Assert.AreEqual("th08_01.wav", track.ToString("$prefix_$trackno.wav"));
      Assert.AreEqual("01. 永夜抄　～ Eastern Night..wav", track.ToString("$trackno. $title.wav"));
      Assert.AreEqual("永01", track.ToString("$pshortest$trackno"));
      Assert.AreEqual("永夜抄 - 東方永夜抄　～ Imperishable Night. - 上海アリス幻樂団", track.ToString("$pshort2 - $product - $creator"));
      Assert.AreEqual("上海アリス幻樂団 (2004年08月15日)", track.ToString("$creator ($ryear年$rmonth月$rday日)"));
      Assert.AreEqual("$hoge$hogeth08$", track.ToString("$hoge$hoge$prefix$"));
    }
  }
}