using System;
using System.ComponentModel;
using System.Windows.Forms;

using Smdn.Formats;
using Smdn.Windows.Forms.ThbgmPlayer;

namespace Smdn.Applications.ThbgmExtractor {
  public class ExtendedTrackListViewItem : TrackListViewItem {
    public ExtendedTrackListViewItem()
    {
    }

    internal void InternalUpdateSubItems()
    {
      UpdateSubItems();
    }

    protected override void OnEffectPropertyChanged(PropertyChangedEventArgs e)
    {
      var listView = ListView as ExtendedTrackListView;

      if (listView != null)
        listView.OnTrackEffectPropertyChanged(e);

      base.OnEffectPropertyChanged(e);
    }

    protected override void UpdateSubItems()
    {
      base.UpdateSubItems();

      var listView = ListView as ExtendedTrackListView;

      var outputFilenameItem = (listView == null)
        ? new ListViewSubItem(this, Track.TrackInfo.ToString())
        : new ListViewSubItem(this, Track.TrackInfo.ToString(listView.Format, listView.TrackFormatInfo));

      SubItems.Insert(2, outputFilenameItem);

      var lengthString = string.Format(SIPrefixFormat.CurrentInfo,
                                       "{0:f}",
                                       Track.TrackInfo.StreamFormat.ToAlignedByteCount(Track.Effect.TotalLength));

      SubItems.Add(new ListViewSubItem(this, lengthString));
    }
  }
}
