﻿using System;
using System.Collections.Generic;
using System.Text;

using Smdn.Collections;
using Smdn.Formats.Ini;
using Smdn.Formats.Thbgm;

namespace Smdn.Applications.ThbgmExtractor {
  public static class Thplay {
    public const string ApplicationConfigFileName = "thplay.ini";

    public static void ImportApplicationConfig(string file)
    {
      var document = IniDocument.Load(file, Encoding.GetEncoding("shift_jis"));

      var listSection = document["List"];

      foreach (var pair in listSection) {
        var product = ProductInfo.FindMatchedProduct(pair.Value, ThbgmExtractor.Products); // InstalledBgmSourcePath will be updated

        if (product == null)
          continue;

        Console.WriteLine("imported installed bgm source path: {0} => {1}", product.Title, product.InstalledBgmSourcePath);
      }
    }
  }
}